org.gnome.gtk

## Class ImageType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.ImageType

-     public final class ImageType
      extends org.freedesktop.bindings.Constant

  The type of image in a `Image` or a `StatusIcon`.
  Since:
    4.0.4
  Author:
    Nat Pryce

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ImageType` | `ANIMATION` The Widget contains a `PixbufAnimation`.
    `static ImageType` | `EMPTY` There is no image displayed by the Widget.
    `static ImageType` | `ICON_NAME` The Widget contains a named icon.
    `static ImageType` | `ICON_SET` The Widget contains a `IconSet`.
    `static ImageType` | `PIXBUF` The Widget contains a `Pixbuf`.
    `static ImageType` | `STOCK` The Widget contains an icon derived specified by a stock item (see `Stock`).

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANIMATION

          public static final ImageType ANIMATION

      The Widget contains a `PixbufAnimation`.

    - #### EMPTY

          public static final ImageType EMPTY

      There is no image displayed by the Widget.

    - #### ICON_NAME

          public static final ImageType ICON_NAME

      The Widget contains a named icon. See `Icon`.
      Since:
        4.1.1

    - #### ICON_SET

          public static final ImageType ICON_SET

      The Widget contains a `IconSet`.

    - #### PIXBUF

          public static final ImageType PIXBUF

      The Widget contains a `Pixbuf`.

    - #### STOCK

          public static final ImageType STOCK

      The Widget contains an icon derived specified by a stock item (see `Stock`).